------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8
CppScriptMgr:SetViewPosByCell(166, 160)
CppScriptMgr:SetViewScale(200)

local Yinzi1 = CppScriptMgr:AddSimplePlayer(22432, 183,163, "MoDi")
local Yinzi2 = CppScriptMgr:AddSimplePlayer(22437, 163,157, "LuBan")
local Yinzi3 = CppScriptMgr:AddSimplePlayer(22434, 169,174, "MasterYan")
Yinzi1:SetZoomPercent(200);
Yinzi2:SetZoomPercent(200);
Yinzi3:SetZoomPercent(200);

CppScriptMgr:AddEffect("195040", 163,157)
CppScriptMgr:AddEffect("195040", 183,163)
CppScriptMgr:AddEffect("195040", 169,174)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("accession", 163,157)
CppScriptMgr:AddEffect("accession", 183,163)
CppScriptMgr:AddEffect("accession", 169,174)
CppScriptMgr:WaitMilSec(1000)
Yinzi1:SetPos(1000,1000)
Yinzi2:SetPos(1000,1000)
Yinzi3:SetPos(1000,1000)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("GodRef_sltz_hd", 163,157)
CppScriptMgr:AddEffect("GodRef_sltz_hd", 183,163)
CppScriptMgr:AddEffect("GodRef_sltz_hd", 169,174)
local player1 = CppScriptMgr:AddSimplePlayer(1063640, 183,163, "MoDi")
local player2 = CppScriptMgr:AddSimplePlayer(1063620, 163,157, "LuBan")
local player3 = CppScriptMgr:AddSimplePlayer(1063630, 169,174, "MasterYan")
player1:SetZoomPercent(200);
player2:SetZoomPercent(200);
player3:SetZoomPercent(200);
player1:SetDir(2)
player2:SetDir(7)
player3:SetDir(4)


CppScriptMgr:WaitMilSec(200)
CppScriptMgr:AddEffect("GodRef_twzh", 163,157)
CppScriptMgr:AddEffect("GodRef_wxzs", 183,163)
CppScriptMgr:AddEffect("GodRef_zzsj_yyhy", 169,174)

player1:Say("Rise again!", 2000)
player2:Say("Rise again!", 2000)
player3:Say("Rise again!", 2000)

CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(1000)






------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
